Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.rups.view
Class Console

    java.lang.Object
      com.lowagie.rups.view.Console

All Implemented Interfaces:
  Observer

    public class Console

extends Object
implements Observer

A Class that redirects everything written to System.out and System.err to a JTextPane.

Nested Class Summary
`(package private) class` | `Console.ConsoleStyleContext` The style context defining the styles of each type of PrintStream.
`(package private) class` | `Console.ReadWriteThread` The thread that will write everything to the text area.

Field Summary
`private static Console` | `console` Single Console instance.
`(package private) PipedInputStream` | `piCustom` Custom InputStream.
`(package private) PipedInputStream` | `piErr` InputStream for System.err.
`(package private) PipedInputStream` | `piOut` InputStream for System.out.
`(package private) PipedOutputStream` | `poCustom` Custom OutputStream.
`(package private) PipedOutputStream` | `poErr` OutputStream for System.err.
`(package private) PipedOutputStream` | `poOut` OutputStream for System.out.
`(package private) PrintStream` | `printStream` Custom PrintStream.
`(package private) Console.ConsoleStyleContext` | `styleContext` The StyleContext for the Console.
`(package private) JTextPane` | `textArea` The text area to which everything is written.

Constructor Summary
`private` | `Console()` Creates a new Console object.

Method Summary
`static Console` | `getInstance()` Console is a Singleton class: you can only get one Console.
`PrintStream` | `getPrintStream()` Get the custom PrintStream of the console.
`JTextPane` | `getTextArea()` Get the JTextArea to which everything is written.
`static void` | `println(String s)` Allows you to print something to the custom PrintStream.
`void` | `update(Observable observable, Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### console

    private static Console console

  Single Console instance.

### printStream

    PrintStream printStream

  Custom PrintStream.

### poCustom

    PipedOutputStream poCustom

  Custom OutputStream.

### piCustom

    PipedInputStream piCustom

  Custom InputStream.

### poOut

    PipedOutputStream poOut

  OutputStream for System.out.

### piOut

    PipedInputStream piOut

  InputStream for System.out.

### poErr

    PipedOutputStream poErr

  OutputStream for System.err.

### piErr

    PipedInputStream piErr

  InputStream for System.err.

### styleContext

    Console.ConsoleStyleContext styleContext

  The StyleContext for the Console.

### textArea

    JTextPane textArea

  The text area to which everything is written.

Constructor Detail

### Console

    private Console()
             throws IOException

  Creates a new Console object.

  Throws:
    `IOException`

Method Detail

### getInstance

    public static Console getInstance()

  Console is a Singleton class: you can only get one Console.

### update

    public void update(Observable observable,
                       Object obj)

  Specified by:
    `update` in interface `Observer`
  See Also:
    `Observer.update(java.util.Observable, java.lang.Object)`

### println

    public static void println(String s)

  Allows you to print something to the custom PrintStream.

  Parameters:
    `s` - the message you want to send to the Console

### getPrintStream

    public PrintStream getPrintStream()

  Get the custom PrintStream of the console.

### getTextArea

    public JTextPane getTextArea()

  Get the JTextArea to which everything is written.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD